#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	graphviz	# do not require graphviz in doc regeneration

Summary:	X protocol C-language Binding library
Summary(pl.UTF-8):	XCB - biblioteka dowiązań języka C do protokołu X
Name:		libxcb
Version:	1.17.0
Release:	1
License:	MIT
Group:		Libraries
#Source0:	https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
Source0:	https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
# Source0-md5:	96565523e9f9b701fcb35d31f1d4086e
URL:		https://xcb.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	check >= 0.9.6
BuildRequires:	doxygen
%{?with_graphviz:BuildRequires:	graphviz}
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.0
BuildRequires:	python3-modules >= 1:3.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xcb-proto >= 1.17
BuildRequires:	xorg-lib-libXau-devel >= 0.99.2
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.18
BuildRequires:	xz
Requires:	xorg-lib-libXau >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X protocol C-language Binding library.

libxcb provides an interface to the X Window System protocol, slated
to replace the current Xlib interface. It has several advantages over
Xlib, including:
- size: small library and lower memory footprint
- latency hiding: batch several requests and wait for the replies
  later
- direct protocol access: one-to-one mapping between interface and
  protocol
- proven thread support: transparently access XCB from multiple
  threads
- easy extension implementation: interfaces auto-generated from
  XML-XCB

Xlib can also use XCB as a transport layer, allowing software to make
requests and receive responses with both, which eases porting to XCB.
However, client programs, libraries, and toolkits will gain the most
benefit from a native XCB port.

%description -l pl.UTF-8
XCB - biblioteka dowiązań języka C do protokołu X.

libxcb udostępnia interfejs do protokołu X Window System, mający
zastąpić aktualny interfejs Xlib. Ma kilka zalet w stosunku do Xliba,
w tym:
- rozmiar: mała biblioteka i niewielki narzut pamięciowy
- ukrywanie opóźnień: kolejkowanie kilku żądań i oczekiwanie na
  odpowiedź później
- bezpośredni dostęp do protokołu: odwzorowanie 1-1 między interfejsem
  a protokołem
- sprawdzoną obsługę wątków: bezpośredni dostęp do XCB z wielu wątków
- łatwe implementowanie rozszerzeń: automatyczne generowanie
  interfejsów z XML-XCB

Xlib może także używać XCB jako warstwy transportowej, pozwalając
programom wykonywać żądania i odbierać odpowiedzi poprzez oba
interfejsy, co ułatwia przechodzenie na XCB. Jednak programy
klienckie, biblioteki i toolkity zyskają więcej na natywnym porcie
XCB.

%package devel
Summary:	Header files for XCB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XCB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXau-devel >= 0.99.2
Requires:	xorg-lib-libXdmcp-devel
Requires:	xorg-proto-xproto-devel

%description devel
Header files for XCB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XCB.

%package static
Summary:	Static XCB library
Summary(pl.UTF-8):	Statyczna biblioteka XCB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XCB library.

%description static -l pl.UTF-8
Statyczna biblioteka XCB.

%package apidocs
Summary:	XCB library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki XCB
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for XCB library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki XCB.

%prep
%setup -q
%if %{without graphviz}
%{__sed} -i -e 's/HAVE_DOT               = YES/HAVE_DOT               = NO/g' doc/xcb.doxygen.in
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-selinux \
	--enable-xevie \
	--enable-xinput \
	--enable-xprint \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/libxcb

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.md
%attr(755,root,root) %{_libdir}/libxcb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb.so.1
%attr(755,root,root) %{_libdir}/libxcb-composite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-composite.so.0
%attr(755,root,root) %{_libdir}/libxcb-damage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-damage.so.0
%attr(755,root,root) %{_libdir}/libxcb-dbe.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-dbe.so.0
%attr(755,root,root) %{_libdir}/libxcb-dpms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-dpms.so.0
%attr(755,root,root) %{_libdir}/libxcb-dri2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-dri2.so.0
%attr(755,root,root) %{_libdir}/libxcb-dri3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-dri3.so.0
%attr(755,root,root) %{_libdir}/libxcb-glx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-glx.so.0
%attr(755,root,root) %{_libdir}/libxcb-present.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-present.so.0
%attr(755,root,root) %{_libdir}/libxcb-randr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-randr.so.0
%attr(755,root,root) %{_libdir}/libxcb-record.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-record.so.0
%attr(755,root,root) %{_libdir}/libxcb-render.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-render.so.0
%attr(755,root,root) %{_libdir}/libxcb-res.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-res.so.0
%attr(755,root,root) %{_libdir}/libxcb-screensaver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-screensaver.so.0
%attr(755,root,root) %{_libdir}/libxcb-shape.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-shape.so.0
%attr(755,root,root) %{_libdir}/libxcb-shm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-shm.so.0
%attr(755,root,root) %{_libdir}/libxcb-sync.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-sync.so.1
%attr(755,root,root) %{_libdir}/libxcb-xevie.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xevie.so.0
%attr(755,root,root) %{_libdir}/libxcb-xf86dri.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xf86dri.so.0
%attr(755,root,root) %{_libdir}/libxcb-xfixes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xfixes.so.0
%attr(755,root,root) %{_libdir}/libxcb-xinerama.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xinerama.so.0
%attr(755,root,root) %{_libdir}/libxcb-xinput.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xinput.so.0
%attr(755,root,root) %{_libdir}/libxcb-xkb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xkb.so.1
%attr(755,root,root) %{_libdir}/libxcb-xprint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xprint.so.0
%attr(755,root,root) %{_libdir}/libxcb-xselinux.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xselinux.so.0
%attr(755,root,root) %{_libdir}/libxcb-xtest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xtest.so.0
%attr(755,root,root) %{_libdir}/libxcb-xv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xv.so.0
%attr(755,root,root) %{_libdir}/libxcb-xvmc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-xvmc.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/tutorial
%attr(755,root,root) %{_libdir}/libxcb.so
%attr(755,root,root) %{_libdir}/libxcb-composite.so
%attr(755,root,root) %{_libdir}/libxcb-damage.so
%attr(755,root,root) %{_libdir}/libxcb-dbe.so
%attr(755,root,root) %{_libdir}/libxcb-dpms.so
%attr(755,root,root) %{_libdir}/libxcb-dri2.so
%attr(755,root,root) %{_libdir}/libxcb-dri3.so
%attr(755,root,root) %{_libdir}/libxcb-glx.so
%attr(755,root,root) %{_libdir}/libxcb-present.so
%attr(755,root,root) %{_libdir}/libxcb-randr.so
%attr(755,root,root) %{_libdir}/libxcb-record.so
%attr(755,root,root) %{_libdir}/libxcb-render.so
%attr(755,root,root) %{_libdir}/libxcb-res.so
%attr(755,root,root) %{_libdir}/libxcb-screensaver.so
%attr(755,root,root) %{_libdir}/libxcb-shape.so
%attr(755,root,root) %{_libdir}/libxcb-shm.so
%attr(755,root,root) %{_libdir}/libxcb-sync.so
%attr(755,root,root) %{_libdir}/libxcb-xevie.so
%attr(755,root,root) %{_libdir}/libxcb-xf86dri.so
%attr(755,root,root) %{_libdir}/libxcb-xfixes.so
%attr(755,root,root) %{_libdir}/libxcb-xinerama.so
%attr(755,root,root) %{_libdir}/libxcb-xinput.so
%attr(755,root,root) %{_libdir}/libxcb-xkb.so
%attr(755,root,root) %{_libdir}/libxcb-xprint.so
%attr(755,root,root) %{_libdir}/libxcb-xselinux.so
%attr(755,root,root) %{_libdir}/libxcb-xtest.so
%attr(755,root,root) %{_libdir}/libxcb-xv.so
%attr(755,root,root) %{_libdir}/libxcb-xvmc.so
%{_libdir}/libxcb.la
%{_libdir}/libxcb-composite.la
%{_libdir}/libxcb-damage.la
%{_libdir}/libxcb-dbe.la
%{_libdir}/libxcb-dpms.la
%{_libdir}/libxcb-dri2.la
%{_libdir}/libxcb-dri3.la
%{_libdir}/libxcb-glx.la
%{_libdir}/libxcb-present.la
%{_libdir}/libxcb-randr.la
%{_libdir}/libxcb-record.la
%{_libdir}/libxcb-render.la
%{_libdir}/libxcb-res.la
%{_libdir}/libxcb-screensaver.la
%{_libdir}/libxcb-shape.la
%{_libdir}/libxcb-shm.la
%{_libdir}/libxcb-sync.la
%{_libdir}/libxcb-xevie.la
%{_libdir}/libxcb-xf86dri.la
%{_libdir}/libxcb-xfixes.la
%{_libdir}/libxcb-xinerama.la
%{_libdir}/libxcb-xinput.la
%{_libdir}/libxcb-xkb.la
%{_libdir}/libxcb-xprint.la
%{_libdir}/libxcb-xselinux.la
%{_libdir}/libxcb-xtest.la
%{_libdir}/libxcb-xv.la
%{_libdir}/libxcb-xvmc.la
%{_includedir}/xcb
%{_pkgconfigdir}/xcb.pc
%{_pkgconfigdir}/xcb-composite.pc
%{_pkgconfigdir}/xcb-damage.pc
%{_pkgconfigdir}/xcb-dbe.pc
%{_pkgconfigdir}/xcb-dpms.pc
%{_pkgconfigdir}/xcb-dri2.pc
%{_pkgconfigdir}/xcb-dri3.pc
%{_pkgconfigdir}/xcb-glx.pc
%{_pkgconfigdir}/xcb-present.pc
%{_pkgconfigdir}/xcb-randr.pc
%{_pkgconfigdir}/xcb-record.pc
%{_pkgconfigdir}/xcb-render.pc
%{_pkgconfigdir}/xcb-res.pc
%{_pkgconfigdir}/xcb-screensaver.pc
%{_pkgconfigdir}/xcb-shape.pc
%{_pkgconfigdir}/xcb-shm.pc
%{_pkgconfigdir}/xcb-sync.pc
%{_pkgconfigdir}/xcb-xevie.pc
%{_pkgconfigdir}/xcb-xf86dri.pc
%{_pkgconfigdir}/xcb-xfixes.pc
%{_pkgconfigdir}/xcb-xinerama.pc
%{_pkgconfigdir}/xcb-xinput.pc
%{_pkgconfigdir}/xcb-xkb.pc
%{_pkgconfigdir}/xcb-xprint.pc
%{_pkgconfigdir}/xcb-xselinux.pc
%{_pkgconfigdir}/xcb-xtest.pc
%{_pkgconfigdir}/xcb-xv.pc
%{_pkgconfigdir}/xcb-xvmc.pc
%{_mandir}/man3/xcb-examples.3*
%{_mandir}/man3/xcb-requests.3*
%{_mandir}/man3/xcb_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libxcb.a
%{_libdir}/libxcb-composite.a
%{_libdir}/libxcb-damage.a
%{_libdir}/libxcb-dbe.a
%{_libdir}/libxcb-dpms.a
%{_libdir}/libxcb-dri2.a
%{_libdir}/libxcb-dri3.a
%{_libdir}/libxcb-glx.a
%{_libdir}/libxcb-present.a
%{_libdir}/libxcb-randr.a
%{_libdir}/libxcb-record.a
%{_libdir}/libxcb-render.a
%{_libdir}/libxcb-res.a
%{_libdir}/libxcb-screensaver.a
%{_libdir}/libxcb-shape.a
%{_libdir}/libxcb-shm.a
%{_libdir}/libxcb-sync.a
%{_libdir}/libxcb-xevie.a
%{_libdir}/libxcb-xf86dri.a
%{_libdir}/libxcb-xfixes.a
%{_libdir}/libxcb-xinerama.a
%{_libdir}/libxcb-xinput.a
%{_libdir}/libxcb-xkb.a
%{_libdir}/libxcb-xprint.a
%{_libdir}/libxcb-xselinux.a
%{_libdir}/libxcb-xtest.a
%{_libdir}/libxcb-xv.a
%{_libdir}/libxcb-xvmc.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/manual/*
%endif
%changelog
* Wed Apr 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxcb.git;a=log;h=master

* Wed Apr 17 2024 Jakub Bogusz <qboosh@pld-linux.org> d4accf7
- updated to 1.17.0

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> f3321e1
- updated to 1.16.1

* Thu Aug 17 2023 Jan Palus <atler@pld-linux.org> e2c9732
- up to 1.16

* Wed May 04 2022 Jan Palus <atler@pld-linux.org> 8947463
- rpm version for noarch subpackage

* Wed May 04 2022 Jan Palus <atler@pld-linux.org> e29928b
- up to 1.15

* Tue Apr 05 2022 Marcin Krol <hawk@tld-linux.org> 1b00c2a
- force python 3.x

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9b63dbd
- unconditional noarch subpackages

* Sun Feb 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 096f15d
- updated to 1.14; pthread-stubs no longer required on Linux

* Thu Sep 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 55c43d3
- updated to 1.13.1

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 935e4ca
- updated to 1.13

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 78c7561
- updated to 1.12
- enable xevie, xprint (to keep them) and xinput (new, in sources since 2008)

* Mon Sep 07 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6369479
- up to 1.11.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f6adc77
- x32 rebuild
- release 2 (by relup.sh)

* Fri Aug 01 2014 Jakub Bogusz <qboosh@pld-linux.org> e0affc5
- updated to 1.11

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> 809ce8a
- noarch apidocs

* Thu Dec 26 2013 Jakub Bogusz <qboosh@pld-linux.org> b9b7ecc
- updated to 1.10 (note: new libxcb-sync and libxcb-xkb sonames)

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> d5ae792
- updated to 1.9.3

* Tue Jun 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 4fd0fc2
- versioned libXau R

* Sat Jun 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c170332
- up to 1.9.1; add xkb and xselinux; fixes CVE-2013-2064

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 6bbcb49
- Merge branch 'master' of git://git.pld-linux.org/packages/libxcb

